# BEGIN SourceDeps(oneline):
BuildRequires: perl(LWP/UserAgent.pm)
# END SourceDeps(oneline)
Name:           qrq
Version:        0.3.1
Release:        alt1_3
Summary:        Morse telegraphy trainer

Group:          Communications
License:        GPLv2+
URL:            http://fkurz.net/ham/qrq.html
Source0:        http://fkurz.net/ham/qrq/qrq-%{version}.tar.gz
#Fix DESTDIR, Don't strip, preserve timestamps
Patch0:         qrq-0.2.1-makefile.patch

BuildRequires:  ncurses-devel libpulseaudio-devel
Source44: import.info
#Requires:       

%description
qrq is an open source morse telegraphy trainer for Linux and Unix operating
systems, similar to the classic DOS version of Rufz by DL4MM.

It's not intended for learning telegraphy, but to improve the ability to
copy callsigns at high speeds, as needed for example for Contesting. 

%prep
%setup -q
%patch0 -p1

%build
export CFLAGS="%{optflags}"
export LDFLAGS="-lpthread"
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}%{_prefix} OSX_BUNDLE=NO


%files
%doc ChangeLog COPYING README
%{_bindir}/qrq
%{_bindir}/qrqscore
%{_mandir}/man?/*
%{_datadir}/qrq

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt1_3
- initial fc import

